
Foreman - Support #7981

Update IP on host does not update reverse DNS entries

10/17/2014 04:12 PM - Ignacio Bravo

Status: Closed   

Priority: Normal   

Assignee:    

Category: DNS   

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

When modifiying the IP of a host, the DNS and DHCP entries are not updated (although a warning message is displayed before

submitting the change)

1. My DHCP server has the range 160-200

2. A new built up server picks an IP of 161 from the DHCP server.

3. I update the IP on the web interface to 140 (outside the DHPC range)

4. A pop up is displayed noting that a record already exists for that IP on the DNS and DHCP servers.

5. Click Overwrite

6. The host upgrades the IP to the new .140

7. Reviewing the entries on /var/named/dynamic/db.network and /var/named/dynamic/db.IP don't include the changes.

I did a service restart of dhcpd, named and foreman-proxy and:

8. /var/named/dynamic/db.network was updated to the new IP

9. /var/named/dynamic/db.IP still shows the old IP of the server

IB

History

#1 - 11/03/2014 10:20 AM - Eric Helms

- Project changed from Katello to Foreman

#2 - 11/03/2014 10:31 AM - Dominic Cleal

- Subject changed from Update IP on host does not update DHCP/DNS entries to Update IP on host does not update reverse DNS entries

- Category set to DNS

Sounds like the problem is the rDNS entry isn't being removed, probably related to the overwrite being used as that flags up as an "error", the

orchestration might be being skipped or something.  Worth checking for proxy logs too to verify which requests are received during the IP address

change.

#3 - 09/07/2015 09:14 AM - Lukas Zapletal

- Tracker changed from Bug to Support

Ignacio, any update on this?

#4 - 08/10/2016 07:08 PM - Anonymous

- Status changed from New to Closed

no reaction, closing.
